
ChiliProject - Bug # 477: Getting rid of "rake/rdoctask is deprecated." warning

Status: Closed Priority: Normal
Author: Gregor Schmidt Category:
Created: 2011-06-16 Assignee:
Updated: 2011-06-17 Due date:
Remote issue URL:
Affected version:
Description: When running rake commands like @rake db:migrate@ on the release-2.0.0 branch, I'm getting the following 

warning:

<pre>
rake/rdoctask is deprecated. Use rdoc/task instead (in RDoc 2.4.2+)
</pre>

I don't know since when exactly, the warning is emitted, but it may easily be fixed (see attached pull request).

Since rdoc 2.4.2 - which introduced the new rdoc/task "was released in 
2009":https://github.com/rdoc/rdoc/blob/master/History.txt#L522, we can probably assume, that adding that 
dependency will not harm anybody.

Associated revisions
2011-06-16 11:29 am - Gregor Schmidt 
[#477] Not using deprecated rake/rdoctask but rdoc/task instead

works with all rdoc versions since 2.4.2
see https://github.com/rdoc/rdoc/blob/master/History.txt

2011-06-16 07:08 pm - Felix SchÃ¤fer 
Merge pull request #76 from schmidt/b/477-rake-rdoctask

Getting rid of "rake/rdoctask is deprecated." warning. #477

History
2011-06-16 09:30 am - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/76

2011-06-16 05:10 pm - Felix Schäfer
- Status changed from Ready for review to Closed

Looks good, thanks.

2011-06-17 04:04 pm - Eric Davis
Gregor Schmidt wrote:
> I don't know since when exactly, the warning is emitted, but it may easily be fixed (see attached pull request).

It was in the Rails 2.3.12 upgrade (#453). I think Rails missed some requires or requirements which is why they just started appearing (and is why I had 

2020-10-25 1/2



to add rdoc to the Gemfile)
